<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Bezier.h.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Bezier.h</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Bezier.h</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line">#ifndef Bezier_h_</span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line">#define Bezier_h_</span>
<a id="line3"></a><span class="lineno"> 3</span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line">#include &quot;Path.h&quot;</span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line">#include &lt;vector&gt;</span>
<a id="line6"></a><span class="lineno"> 6</span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line"><span class="keyword">namespace</span> <a href="../Scopes/Paths.html" title="namespace Paths">Paths</a></span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">{</span>
<a id="line9"></a><span class="lineno"> 9</span>
<a id="line10"></a><span class="lineno">10</span><span class="line"><span class="comment">/**</span></span>
<a id="line11"></a><span class="lineno">11</span><span class="line"><span class="comment"> * The Bezier class. It implements a Bezier curve</span></span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="comment"> * for the given order.</span></span>
<a id="line13"></a><span class="lineno">13</span><span class="line"><span class="comment"> */</span></span>
<a id="line14"></a><span class="lineno">14</span><span class="line">template &lt;size_t Order&gt;</span>
<a id="line15"></a><span class="lineno">15</span><span class="line"><span class="keyword">class</span> <a href="../Scopes/Paths/Bezier.html" title="class Paths::Bezier">Bezier</a> : <span class="keyword">public</span> <a href="../Scopes/Path.html" title="class Path">Path</a></span>
<a id="line16"></a><span class="lineno">16</span><span class="line">{</span>
<a id="line17"></a><span class="lineno">17</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line18"></a><span class="lineno">18</span><span class="line">  <span class="comment">/** Create a new Bezier.*/</span></span>
<a id="line19"></a><span class="lineno">19</span><span class="line">  <a href="../Scopes/Paths/Bezier.html#Bezier_l_r" title="member function Paths::Bezier::Bezier()">Bezier</a>();</span>
<a id="line20"></a><span class="lineno">20</span>
<a id="line21"></a><span class="lineno">21</span><span class="line">  <span class="comment">/** @group Manipulators {*/</span></span>
<a id="line22"></a><span class="lineno">22</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">  <span class="comment">/**</span></span>
<a id="line24"></a><span class="lineno">24</span><span class="line"><span class="comment">   * Add a new control point.</span></span>
<a id="line25"></a><span class="lineno">25</span><span class="line"><span class="comment">   * @param p A point</span></span>
<a id="line26"></a><span class="lineno">26</span><span class="line"><span class="comment">   */</span></span>
<a id="line27"></a><span class="lineno">27</span><span class="line">  <span class="keyword">void</span> <a href="../Scopes/Paths/Bezier.html#add_control_point_lconst.Vertex_A_r" title="member function Paths::Bezier::add_control_point(const Vertex&amp;)">add_control_point</a>(<span class="keyword">const</span> <a href="../Scopes/Vertex.html" title="struct Vertex">Vertex</a> &amp;);</span>
<a id="line28"></a><span class="lineno">28</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">  <span class="comment">/**</span></span>
<a id="line30"></a><span class="lineno">30</span><span class="line"><span class="comment">   * Remove the control point at index i.</span></span>
<a id="line31"></a><span class="lineno">31</span><span class="line"><span class="comment">   * @param i An index</span></span>
<a id="line32"></a><span class="lineno">32</span><span class="line"><span class="comment">   */</span></span>
<a id="line33"></a><span class="lineno">33</span><span class="line">  <span class="keyword">void</span> <a href="../Scopes/Paths/Bezier.html#remove_control_point_lsize_t_r" title="member function Paths::Bezier::remove_control_point(size_t)">remove_control_point</a>(<a href="" title="typedef size_t">size_t</a> i);</span>
<a id="line34"></a><span class="lineno">34</span><span class="line">  <span class="comment">/** }*/</span></span>
<a id="line35"></a><span class="lineno">35</span><span class="line">  virtual <span class="keyword">void</span> <a href="../Scopes/Paths/Bezier.html#draw_l_r" title="member function Paths::Bezier::draw()">draw</a>();</span>
<a id="line36"></a><span class="lineno">36</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line37"></a><span class="lineno">37</span><span class="line">  <span class="comment">/** The data...*/</span></span>
<a id="line38"></a><span class="lineno">38</span><span class="line">  std::<a href="" title="class std::vector">vector</a>&lt;<a href="../Scopes/Vertex.html" title="struct Vertex">Vertex</a>&gt; <a href="../Scopes/Paths/Bezier.html#controls_" title="data member Paths::Bezier::controls_">controls_</a>;</span>
<a id="line39"></a><span class="lineno">39</span><span class="line">};</span>
<a id="line40"></a><span class="lineno">40</span>
<a id="line41"></a><span class="lineno">41</span><span class="line">}</span>
<a id="line42"></a><span class="lineno">42</span>
<a id="line43"></a><span class="lineno">43</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Fri Apr 17 08:48:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
